import "../stylesheets/PlantDetails.css";
import "font-awesome/css/font-awesome.min.css";
import { useParams } from "react-router-dom";

function PlantDetails(props: any) {
  const plant = props.plant;

  return (
    <>
      <div style={{ display: "flex", flexDirection: "column" }}>
        <div className="plantDetails">
          <h1>{plant.name}</h1>
          <img src={plant.imageUrl}></img>
          <div className="lateinischerName infoBox">
            <div className="title">Lateinischer Name</div>{" "}
            <p>{plant.latinName}</p>
          </div>
          <div className="Beschreibung infoBox">
            <div className="title">Beschreibung</div> <p>{plant.description}</p>
          </div>
          <div className="infoBox">
            <div className="title">Herkunft</div>
            <p>{plant.origin}</p>
          </div>
          <div className="infoBox">
            <div className="title">Anbautipps</div> <p>{plant.growingTips}</p>
          </div>
        </div>
        <div className="buttons">
          <Buttons></Buttons>
        </div>
      </div>
    </>
  );
}

function Buttons() {
  return (
    <>
      <div
        style={{
          display: "flex",
          justifyContent: "space-around",
          margin: "0 0 40px 0",
        }}
      >
        <button>
          <i className="fa fa-leaf"></i>
        </button>
        <button>
          <i className="fa fa-heart"></i>
        </button>
      </div>
    </>
  );
}

export default PlantDetails;
